package com.me.pacman.entity;

import com.badlogic.gdx.math.Vector2;
import com.me.pacman.PacDude;
import com.me.pacman.entity.ai.BlinkyChaseBehaviour;
import com.me.pacman.entity.ai.StaticTargetBehaviour;
import com.me.pacman.entity.ai.Target;
import com.me.pacman.level.Modifiers;
import com.me.pacman.state.PlayState;

public class Blinky extends Ghost {

    public static final Target SCATTER_TARGET = new Target((PacDude.LEVEL_WIDTH / 8) - 2, PacDude.LEVEL_HEIGHT / 8);

    public Blinky(PlayState state, Vector2 pos, Direction direction) {
        super(state, pos, direction, 0, new BlinkyChaseBehaviour(state), new StaticTargetBehaviour(state, SCATTER_TARGET), false);
    }

    @Override
    protected float getNormalSpeed() {
        int round = state.round;
        if (!state.hasDied || !state.ghosts[3].inHouse) {
            if (state.pelletsRemaining <= Modifiers.getElroy2DotsLeft(round)) {
                return Modifiers.getElroy2Speed(round);
            } else if (state.pelletsRemaining <= Modifiers.getElroy1DotsLeft(round)) {
                return Modifiers.getElroy1Speed(round);
            }
        }
        return super.getNormalSpeed();
    }

    @Override
    public void update(float dt) {
        if (inHouse) {
            // Immediately leave house
            leaveHouse();
        }

        super.update(dt);
    }

}
