package com.me.pacman.entity;

import com.badlogic.gdx.math.Vector2;
import com.me.pacman.PacDude;
import com.me.pacman.entity.ai.PinkyChaseBehaviour;
import com.me.pacman.entity.ai.StaticTargetBehaviour;
import com.me.pacman.entity.ai.Target;
import com.me.pacman.state.PlayState;

public class Pinky extends Ghost {

    public static final Target SCATTER_TARGET = new Target(2, PacDude.LEVEL_HEIGHT / 8);

    public Pinky(PlayState state, Vector2 pos, Direction direction) {
        super(state, pos, direction, 1, new PinkyChaseBehaviour(state), new StaticTargetBehaviour(state, SCATTER_TARGET), true);
    }

    @Override
    public void update(float dt) {
        if (inHouse && (!state.pelletsEatenSinceDeathCounterEnabled || state.pelletsEatenSinceDeath >= 7)) {
            leaveHouse();
        }

        super.update(dt);
    }

}
