package com.me.pacman.state;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.InputAdapter;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.Texture;
import com.me.pacman.PacDude;
import com.me.pacman.Score;

public class HighScoresState extends State {


    private Texture background;

    public HighScoresState(PacDude game) {
        super(game);
    }

    @Override
    public void setup() {
        this.background = game.assets.getHighScoresBackground();
        Gdx.input.setInputProcessor(this.new Controller());
    }

    @Override
    public void render() {
        game.batch.draw(background, 0, 16);

        game.fontRenderer.setColor(Color.YELLOW);
        game.fontRenderer.draw(game.batch, "high scores", (8 * 8) + 4, 25 * 8);

        game.fontRenderer.setColor(Color.CHARTREUSE);
        game.fontRenderer.draw(game.batch, "score  name", (8 * 8) + 4, 22 * 8);

        game.fontRenderer.setColor(Color.WHITE);
        Score[] scores = game.highScores.getHighScores(10);
        for (int i = 0; i < scores.length; i++) {
            Score score = scores[i];
            game.fontRenderer.draw(game.batch, String.format("%-8d%s", score.score, score.scorer), (8 * 8) + 4, (18 - i) * 9);
        }
    }

    @Override
    public void dispose() {
        Gdx.input.setInputProcessor(null);
    }

    @Override
    public void update(float dt) {}

    private final class Controller extends InputAdapter {

        @Override
        public boolean keyDown(int keycode) {
            switch(keycode) {
                case Input.Keys.ENTER:
                case Input.Keys.ESCAPE:
                    game.setNextState(new MenuState(game));
                    break;
            }
            return super.keyDown(keycode);
        }

    }

}
