package com.me.pacman.state;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.me.pacman.PacDude;
import com.me.pacman.level.Level;

public abstract class LevelState extends State {

    public static final int LEVEL_OFFSET_X = 0;
    public static final int LEVEL_OFFSET_Y = 16;

    public Level level;

    public LevelState(PacDude game) {
        super(game);
    }

    public void drawSprite(TextureRegion sprite, float x, float y) {
        game.batch.draw(sprite, (int) (x * 8) + (LEVEL_OFFSET_X - 8), (int) (y * 8) + (LEVEL_OFFSET_Y - 8));
    }

}
